PATCHUpdate Address

Webhook APIhttps://web3.nodit.io/v1/arbitrum/mainnet/webhooks/1234567890/addresses

API for adding and removing the monitored addresses of an ADDRESS_ACTIVITY event type Webhook via an add/remove batch.

The add + remove total per request cannot exceed 1,000, and a subscription cannot have more than 100,000 addresses in total. Addresses included in both add and remove cancel out and are excluded from both.

Path Parameters
chainstring (enum)required

Parameter to specify the target chain for the query.

networkstring (enum)required

Parameter to specify the network of the target chain. Supported networks may vary depending on the chain.

subscriptionIdstringrequired

Parameter that specifies the subscriptionId assigned to the ADDRESS_ACTIVITY Webhook.

Request Body
addstring[]

List of addresses to add.

removestring[]

List of addresses to remove.

Responses
addedintegerrequired

Number of addresses actually added.

예: 2

skippedintegerrequired

Number of add items that were not added because they already existed.

예: 0

removedintegerrequired

Number of addresses actually removed.

예: 1

notFoundintegerrequired

Number of remove items that were not removed. Also includes addresses that did not exist or were canceled out by being included in both add and remove.

예: 0

totalCountintegerrequired

Total number of addresses in the subscription after applying the changes.

예: 100000

X-API-KEY
Request
cURL
curl -X PATCH "https://web3.nodit.io/v1/arbitrum/mainnet/webhooks/1234567890/addresses" \
  -H "X-API-KEY: {YOUR_API_KEY}" \
  -H "Content-Type: application/json" \
  -d '{
  "add": ["0xabc0000000000000000000000000000000000001", "0xabc0000000000000000000000000000000000002"],
  "remove": ["0xdef0000000000000000000000000000000000009"]
}'
Response
Example · 200
{
  "added": 2,
  "skipped": 0,
  "removed": 1,
  "notFound": 0,
  "totalCount": 100000
}